/*
  IRTele.h - Librairie pour grer la telecommande DFRobot.
  Cr par Richard GAUTHIER en Dcembre 2013 pour les lves de la spcialit SIN en STI2D.
  Released into the public domain.
*/

#ifndef IRTele_h
#define IRTele_h

#include "Arduino.h"

class IRTele
{
  public:
	IRTele(uint8_t IR_PIN);
    boolean available();
    int read();
  private:
    void read_pulse(int pulse[]);
    void pulse_to_bits(int pulse[], int bits[]);
    int bits_to_int(int bits[]);
    void RemoteVerify(int bits[]);
    uint8_t _pin;
};

#endif

